CODESYS - das IEC 61131-3 Programmiersystem

Willkommen im offiziellen CODESYS - Forum von 3S-Smart Software Solutions | A member of the CODESYS Group
Deutsche Version English version russian version 
Aktuelle Zeit: Mi Okt 23, 2019 12:05 am

Alle Zeiten sind UTC




Ein neues Thema erstellen  Auf das Thema antworten  [ 12 Beiträge ] 
Autor Nachricht
BeitragVerfasst: Di Apr 23, 2019 5:02 pm 
Offline

Registriert: So Sep 16, 2012 12:08 pm
Beiträge: 7
Hallo,

ich habe mir jetzt erst für 75€ eine Lizenz von Codesys gekauft. Nun habe ich ein Projekt mit einem "CODESYS_Control_for_Raspberry_Pi_MC_SL" in Multicore angelegt. Ich habe den Raspberry direkt mit LAN am PC verbunden. Ping OK. Innerhalb Codesys unter Kommunikation und Netzwerk durchsuchen finde ich das Gerät leider nicht.
Ich vermute ich habe die falsche Datei auf den Raspberry PI und zwar die Datei C:\Users\peter\CODESYS Control for Raspberry PI\Delivery\codesyscontrol_arm_raspberry_V3.5.14.20.deb .
Meine Frage ist nun wo finde ich bei 3S - die passende *.deb Datei für das Multi-Core System oder ist es dieselbe wie für die Singel-Core Standard Runtime?
Das Package habe ich heruntergeladen, dort war die Datei nicht dabei. Ich habe bei der Installation in der Codesys Entwicklungsumgebung unter Tools -> Update Raspberry PI die Package Versionen zur Auswahl. Ich wurde gefragt, Standard oder Mutlicore wobei Multicore ausgegraut war. Daher hatte ich Standard gewählt, was jedoch definitiv falsch war. Wie kann ich das wieder rückgängig machen, bei Erneuter Installieren kommt diese Frage nicht mehr, da kein Kontakt zum RaspPI. Wie bekomme ich die Lizenz auf den Raspberry, da ich doch kein Kontakt zu diesem bekomme.
Unter -> Update Raspberry PI erhalte ich über System - Info keine Information. Laufzeitsystem Stop bereits gemacht, oder geht das jetzt nur über die Linux/Debian Konsole. Davon habe ich keine Ahnung.
Kann jemand weiterhelfen? Gruß Peter Götz


Nach oben
   
BeitragVerfasst: Di Apr 23, 2019 5:49 pm 
Offline
Site Admin

Registriert: Mo Sep 05, 2005 8:42 am
Beiträge: 3499
Hi,
es gibt nur das "eine" Packet aus dem man die Multicore oder normale PI runtime installiert.
Es muss einfach zusammenpassen. ( CODESYS auch in 3.5SP14?)
In CODESYS die Gerätebeschreibung mit Multicore verwenden und auf PI Seite
beim installieren über das Update Tool angeben das man Multicore haben will oder eben später
über folgedes Setting im /etc/CODESYSControl_User.cfg

für Multicore:
[CmpRasPi]
Architecture=armv7l
 
ohne Multicore:
[CmpRasPi]
Architecture=armv6l

Grüße
Edwin


Dateianhänge:
UpdateDEvice.png
UpdateDEvice.png [ 91.79 KiB | 1132 mal betrachtet ]
Nach oben
   
BeitragVerfasst: Di Apr 23, 2019 6:40 pm 
Offline

Registriert: So Sep 16, 2012 12:08 pm
Beiträge: 7
Danke für deine Antwort. Deinen Tipp hatte ich bereits im Forum gelesen.
Leider finde ich die Datei nicht auf meinem Raspberry PI: "/etc/CODESYSControl_User.cfg".

Ich suche mit dem DateiManager auf dem Raspberry PI.


Ich verwende die Version 3.5.14.20 passend zur Pi-Version.

Dateianhang:
Codesys_RaspPI_MC.jpg
Codesys_RaspPI_MC.jpg [ 210.99 KiB | 1127 mal betrachtet ]


Hier will ich Updaten, jedoch immer ohne erfolg, da Fehlermeldung.

Dateianhang:
Codesys_RaspPI_Update.jpg
Codesys_RaspPI_Update.jpg [ 120.64 KiB | 1127 mal betrachtet ]


Auch neustart und Laufzeitsystem stoppen hilft nicht.
Dateianhang:
Codesys_RaspPI_Fehlermeld.jpg
Codesys_RaspPI_Fehlermeld.jpg [ 53.13 KiB | 1127 mal betrachtet ]


wie du siehst, kann ich hier keine Multicore-Umgebung einstellen, da leider ausgegraut ist.


Dateianhang:
Dateikommentar: Leider kein Multicore einstellbar
Codesys_RaspPI_No_Multicore.jpg
Codesys_RaspPI_No_Multicore.jpg [ 90.08 KiB | 1121 mal betrachtet ]


Gruß Peter Götz


Nach oben
   
BeitragVerfasst: Mi Apr 24, 2019 4:35 am 
Offline
Site Admin

Registriert: Mo Sep 05, 2005 8:42 am
Beiträge: 3499
Hallo,
kannst du dich mal per ssh (putty) auf dem Pi einloggen und
top
ausführen - schauen ob die runtime läuft
wenn kein /etc/CODESYSControl_User.cfg vorhanden ist, scheint die Runtime auch nicht oder nicht vollständig
installiert zu sein.
Schau am bitte in /home/pi hier das CODESYS debian packet liegt.

Grüße
Edwin


Nach oben
   
BeitragVerfasst: Mi Apr 24, 2019 5:23 am 
Offline

Registriert: So Sep 16, 2012 12:08 pm
Beiträge: 7
Danke für deine Hilfe. Mit TOP konnte ich kein Runtime-Task erkennen. Ebenso war kein entsprechendes Verzeichnis unter home\PI vorhanden in dem das Debian-Paket liegt.

Dateianhang:
TOP.jpg
TOP.jpg [ 211.89 KiB | 1104 mal betrachtet ]

Gruß Peter


Nach oben
   
BeitragVerfasst: Mo Jun 17, 2019 2:35 pm 
Offline

Registriert: So Sep 16, 2012 12:08 pm
Beiträge: 7
Ich habe immer noch keine Verbindung zum Rasp-Pi seit April 2019.
Ping zum Raps-PI ist OK. Laufzeitsystem ist installiert auf PI und läuft. Ich habe jedoch Multicore Projekt. Bekommen keine Verbindung obwohl RapsPI Host-Name (AirmaxxVisu) mir im Codesys unter Netzwerk Scan angeszgeit wird, siehe Hardcopy. Sobald ich Geräte auswähle und OK drücke habe ich keine Verbindung mehr. Diese bekomme ich erst wieder aber nur kurzzeitig nach dem Neustart vom Rasp-PI.



Das Laufzeit-System am Rasp bringt wie folgt.


Nach vielen Verbindungsversuchen erhielt ich einmalig diese Fehlermeldung:


woher bekomme ich die passende codesyscontrol_arm_raspberry_V3.5.14.20.deb Runtime Version welche ich auf dem Rasp-Pi installieren kann?


Dateianhänge:
CodesysErrorPfadSetzen.jpg
CodesysErrorPfadSetzen.jpg [ 31.3 KiB | 876 mal betrachtet ]
CodesysLaufzeitsystem.jpg
CodesysLaufzeitsystem.jpg [ 741.13 KiB | 876 mal betrachtet ]
CodesysNetzwerkScan.jpg
CodesysNetzwerkScan.jpg [ 157.32 KiB | 877 mal betrachtet ]
Nach oben
   
BeitragVerfasst: Mo Jun 17, 2019 5:20 pm 
Offline
Site Admin

Registriert: Mo Sep 05, 2005 8:42 am
Beiträge: 3499
Hi,
in deinem Screenshot steht du verwendest Runtime 3.5.6.0 ??

Mal alles in aktueller Version verwenden, dann sollte das alles funktionieren!
Im Package Manager entweder über download aktualisieren oder aber das 3.5.6 Package deinstallieren dann direkt über den CODESYS einkaufswagen die aktuelle Version installieren.

Grüße
Edwin


Dateianhänge:
PI.png
PI.png [ 295.73 KiB | 866 mal betrachtet ]
Nach oben
   
BeitragVerfasst: Di Jun 18, 2019 6:53 am 
Offline

Registriert: So Sep 16, 2012 12:08 pm
Beiträge: 7
Das habe ich bereits getan. Auch Codesys frisch aufgesetzt. Das aktuelle packtet ist installiert siehe Hardcopy. Dennoch Versionskonflikt online offline. Gruß Peter Götz


Dateianhänge:
PaketManager.jpg
PaketManager.jpg [ 75.65 KiB | 859 mal betrachtet ]
Nach oben
   
BeitragVerfasst: Di Jun 18, 2019 7:10 am 
Offline
Site Admin

Registriert: Mo Sep 05, 2005 8:42 am
Beiträge: 3499
jo,
also das ist nun.. du hast im Projekt den Multicore Pi,
aber auf dem PI den Singlecore konfiguriert.

also auf dem Pi per ssh oder lokal einloggen:

In /etc/CODESYSControl_User.cfg

[CmpRasPi]
Architecture=armv7l

Grüße
Edwin


Nach oben
   
BeitragVerfasst: Di Jun 18, 2019 7:32 am 
Offline

Registriert: So Sep 16, 2012 12:08 pm
Beiträge: 7
nein das ist leider nicht das Problem. Dein letzter Tipp bracht auch keine Hilfe. Ich habe schon das Projekt umgestellt auf Singel core und auf Multi core (hin und hergestellt und übersetzt). Das Problem ist der Versionskonflikt online - Offline. Wo bekomme ich die zur Codesys-Version passende .deb Datei für den Rasp-Pi Runtime her?


Nach oben
   
BeitragVerfasst: Di Jun 18, 2019 9:57 am 
Offline
Site Admin

Registriert: Mo Sep 05, 2005 8:42 am
Beiträge: 3499
Hallo,
das passende debian kam mit der Installation des Packages nun mit....
du musst es nur noch mit dem Update Raspberry PI kommandu auf den PI installieren.

Grüße
Edwin


Dateianhänge:
Runtime_install.png
Runtime_install.png [ 18.16 KiB | 848 mal betrachtet ]
Nach oben
   
BeitragVerfasst: Di Jun 18, 2019 8:06 pm 
Offline

Registriert: So Sep 16, 2012 12:08 pm
Beiträge: 7
Edwin Schwellinger hat geschrieben:
Hallo,
das passende debian kam mit der Installation des Packages nun mit....
du musst es nur noch mit dem Update Raspberry PI kommandu auf den PI installieren.

Grüße
Edwin


Vielen, Dank. Ich habe lediglich den Ablageort der passenden .deb Datei auf meinem PC nicht gefunden. Nun habe ich passende Runtime installiert. Danke. Rasp-Pi läuft nun. Danke für deine Mühen. Gruß Peter


Nach oben
   
Beiträge der letzten Zeit anzeigen:  Sortiere nach  
Ein neues Thema erstellen  Auf das Thema antworten  [ 12 Beiträge ] 

Alle Zeiten sind UTC


Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast


Sie dürfen keine neuen Themen in diesem Forum erstellen.
Sie dürfen keine Antworten zu Themen in diesem Forum erstellen.
Sie dürfen Ihre Beiträge in diesem Forum nicht ändern.
Sie dürfen Ihre Beiträge in diesem Forum nicht löschen.
Sie dürfen keine Dateianhänge in diesem Forum erstellen.

Suche nach:
Gehe zu:  
cron
Powered by phpBB® Forum Software © phpBB Limited
Deutsche Übersetzung durch phpBB.de